Fedora 17 : openstack-keystone-2012.1.2-4.fc17 (2012-13075)

High Nessus Plugin ID 62417


The remote Fedora host is missing a security update.


- Require authz to update user's tenant (CVE-2012-3542)

- Delete user tokens after role grant/revoke (CVE-2012-4413)

- Fails to validate tokens in Admin API (CVE-2012-4456)

- Fails to raise Unauthorized user error for disabled tenant (CVE-2012-4457)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected openstack-keystone package.

See Also





Plugin Details

Severity: High

ID: 62417

File Name: fedora_2012-13075.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2012/10/04

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:openstack-keystone, cpe:/o:fedoraproject:fedora:17

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/08/31

Reference Information

CVE: CVE-2012-3542, CVE-2012-4413, CVE-2012-4456, CVE-2012-4457

BID: 55326, 55524, 55716

FEDORA: 2012-13075